Get live data of a SIM
For postpaid sim only
400 will be returned if the sim is not under postpaid.
Retrieve live data of a sim.
Request
GET/sims/{iccid}/live-data
Path parameters
iccidstringrequired
ICCID of the sim to retrieve.
Response
A json is returned in the response body with the following fields:
imeistring
IMEI of the device using the SIM.
countryCodestring
2-letter ISO country code where the SIM is currently connected.
countryNamestring
Name of the country where the SIM is currently connected.
ipstring
The public IP address assigned to the SIM by the mobile network.
mccmncstring
Mobile Country Code + Mobile Network Code: identifies the current carrier network.
vplmnstring
Visited Public Land Mobile Network: The network operator the SIM is currently roaming on.
lastConnectedAtdatetime string
Time when the SIM last established a data connection.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}/live-data' \ -H 'Authorization: Bearer {token}'Response
{
"imei": "XXXXXXXXXXXXXXX",
"countryCode": "HK",
"countryName": "Hong Kong",
"ip": "XXX.XXX.XXX.XXX",
"mccmnc": "XXXXX",
"vplmn": "XXX Telcom Operator",
"lastConnectedAt": "2025-10-17T09:36:57.000Z"
}